unique_ptr.h File Reference

Go to the source code of this file.

## Classes

struct | std::default_delete< _Tp >
struct | std::default_delete< _Tp[]>
struct | std::hash< unique_ptr< _Tp, _Dp > >
class | std::unique_ptr< _Tp, _Dp >
class | std::unique_ptr< _Tp[], _Dp >

## Namespaces

namespace | std
namespace | std::__detail

## Macros

#define | __cpp_lib_make_unique

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file unique_ptr.h.